PosixFilePermission (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.nio.file.attribute, enum: PosixFilePermission
Keywords: java.nio.file.attribute.PosixFilePermission class

Module java.base
Package java.nio.file.attribute

# Enum PosixFilePermission

java.lang.Object
java.lang.Enum<PosixFilePermission>
java.nio.file.attribute.PosixFilePermission

All Implemented Interfaces:
  `Serializable`, `Comparable<PosixFilePermission>`, `Constable`

    public enum PosixFilePermission
    extends Enum<PosixFilePermission>

Defines the bits for use with the `permissions` attribute.

The `PosixFilePermissions` class defines methods for manipulating set of permissions.

Since:
  1.7

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `GROUP_EXECUTE` | Execute/search permission, group.
  `GROUP_READ` | Read permission, group.
  `GROUP_WRITE` | Write permission, group.
  `OTHERS_EXECUTE` | Execute/search permission, others.
  `OTHERS_READ` | Read permission, others.
  `OTHERS_WRITE` | Write permission, others.
  `OWNER_EXECUTE` | Execute/search permission, owner.
  `OWNER_READ` | Read permission, owner.
  `OWNER_WRITE` | Write permission, owner.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PosixFilePermission` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static PosixFilePermission[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OWNER_READ

    public static final PosixFilePermission OWNER_READ
    Read permission, owner.

  - ### OWNER_WRITE

    public static final PosixFilePermission OWNER_WRITE
    Write permission, owner.

  - ### OWNER_EXECUTE

    public static final PosixFilePermission OWNER_EXECUTE
    Execute/search permission, owner.

  - ### GROUP_READ

    public static final PosixFilePermission GROUP_READ
    Read permission, group.

  - ### GROUP_WRITE

    public static final PosixFilePermission GROUP_WRITE
    Write permission, group.

  - ### GROUP_EXECUTE

    public static final PosixFilePermission GROUP_EXECUTE
    Execute/search permission, group.

  - ### OTHERS_READ

    public static final PosixFilePermission OTHERS_READ
    Read permission, others.

  - ### OTHERS_WRITE

    public static final PosixFilePermission OTHERS_WRITE
    Write permission, others.

  - ### OTHERS_EXECUTE

    public static final PosixFilePermission OTHERS_EXECUTE
    Execute/search permission, others.

- ## Method Details

  - ### values

    public static PosixFilePermission[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PosixFilePermission valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null